﻿
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
namespace Sevomin.Models
{
    [Table("Dovomin")]
    public class Dovomin : User
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime? BirthDate { get; set; }
        public bool IsFulltime { get; set; }
        public bool IsPartTime { get; set; }
        public string Description { get; set; }

        public string EnglishResume { get; set; }
        public string PersianResume { get; set; }

        public virtual ICollection<DovominParameter> DovominParameters { get; set; }
        public virtual ICollection<DovominJob> DovominJobs { get; set; }

        public Dovomin()
        {

        }

        public Dovomin(string userName, string firstName, string lastName)
            : base(userName)
        {
            this.FirstName = firstName;
            this.LastName = lastName;
        }
    }
}
